Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Class AbstractXYDataset

    java.lang.Object
      org.jfree.data.AbstractDataset
          org.jfree.data.AbstractSeriesDataset
              org.jfree.data.AbstractXYDataset

All Implemented Interfaces:
  java.lang.Cloneable, Dataset, java.util.EventListener, java.io.ObjectInputValidation, java.io.Serializable, SeriesChangeListener, SeriesDataset, XYDataset

Direct Known Subclasses:
  AbstractIntervalXYDataset, AbstractXYZDataset, DefaultBoxAndWhiskerXYDataset, DefaultHighLowDataset, DefaultWindDataset, JDBCXYDataset, OHLCDataset

public abstract class AbstractXYDataset
extends AbstractSeriesDataset
implements XYDataset

An base class that you can use to create new implementations of the `XYDataset` interface.

See Also:
  Serialized Form

Constructor Summary
`AbstractXYDataset()`

Method Summary
`double` | `getX(int series, int item)` Returns the x-value (as a double primitive) for an item within a series.
`double` | `getY(int series, int item)` Returns the y-value (as a double primitive) for an item within a series.

Methods inherited from class org.jfree.data.AbstractSeriesDataset
`getSeriesCount, getSeriesName, seriesChanged`

Methods inherited from class org.jfree.data.AbstractDataset
`addChangeListener, clone, fireDatasetChanged, getGroup, notifyListeners, removeChangeListener, setGroup, validateObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.XYDataset
`getItemCount, getXValue, getYValue`

Methods inherited from interface org.jfree.data.SeriesDataset
`getSeriesCount, getSeriesName`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Constructor Detail

### AbstractXYDataset

    public AbstractXYDataset()

Method Detail

### getX

    public double getX(int series,
                       int item)

  Returns the x-value (as a double primitive) for an item within a series.

  Specified by:
    `getX` in interface `XYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The x-value.

### getY

    public double getY(int series,
                       int item)

  Returns the y-value (as a double primitive) for an item within a series.

  Specified by:
    `getY` in interface `XYDataset`
  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The y-value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD